<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// Langue et configuration
load_language('plugin.lang', AM_PATH);
$conf['admin_messages'] = unserialize($conf['admin_messages']);


// +-----------------------------------------------------------------------+
//				Affichage des messages
// +-----------------------------------------------------------------------+
$messages = pwg_query("SELECT * FROM `". AM_TABLE ."` 
	ORDER BY add_date DESC
	LIMIT 0, ". $conf['admin_messages']['nb_messages'] .";");
	
if (pwg_db_num_rows($messages)) {
	while ($message = pwg_db_fetch_assoc($messages)) {
		$item = array(
			'DATE' => format_date($message['add_date'], true),
			'AUTHOR' => $message['author'],
			'CONTENT' => $message['content'],
		);
		
		$template->append('messages', $item);
	}
	
}


// +-----------------------------------------------------------------------+
//				Template
// +-----------------------------------------------------------------------+
$template->assign(array(
	'AM_ADMIN' => AM_ADMIN,
	'USERNAME' => $user['username'],
));

$template->set_filenames(array('admin_messages' => dirname(__FILE__) .'/template/admin_messages.tpl'));
$template->pparse('admin_messages');
	
?>